Subject: [XCON] Questions/Comments on draft-koskelainen-xcon-xcap-cpcp-usage-01

From: "Juhee Garg \(juhee\)" <[email-masked]>
Date: Wed, 10 Dec 2003 23:13:40 -0800

Petri/Hisham,
 
I have some questions/comments on
draft-koskelainen-xcon-xcap-cpcp-usage-01.
 
1) What is the format of the response that you get back from the server
in 200 OK, for a request to create a conference? Is it the entire CPCP
document with the conference URI filled out? Or is it just the
conference URI? If latter, what is the schema?
 
2) At what point is a CPCP request deemed to have been handled
successfully - when the conference policy change is successfully made or
when the action corresponding to the policy change is successfully made?
For e.g. when a request is issued to the CPS to dial out to a
participant, when does the CPS send back a 200 OK - when it has been
able to successfully communicate the change to the focus or when the
participant is successfully added to the conference?
 
3) XCAP doc says that an XCAP server should return a 405 to an HTTP POST
to an XCAP URI, but the CPCP doc is using POST in several places.
 
4) Section 11.2 says that Conference-Info element is optional, but in
the schema, it is not (minOccurs=1, which I think means that the element
is mandatory). I am confused.
 
5) Similarly, Section 10 says that Conference-time is an optional
element, but in the schema it is not (minOccurs=1).
 
6) The schema doesn't have values for minOccurs for a lot of elements.
<http://xml.coverpages.org/REC-xmlschema-1-20010502.html>
http://xml.coverpages.org/REC-xmlschema-1-20010502.html says that if
minOccurs is not present, then its default value is 1, which in my mind
means that those elements are mandatory. This is not consistent with the
rest of the document. The schema needs to be consistent with the rest of
the document. 
 
7) I had brought this up in Minneapolis, but possibly in context of a
wrong draft :( We need to have a way to specify when the conference
should be ended (if these conditions occur before the conference time
expires). This could have multiple token values like:
    a) When no participants are left (this is useful for an adhoc
conference)
    b) When the owner of the conference leaves (this is useful for
avoiding toll fraud kinda cases)
    c) When only two parties are left, convert it to a two-party call
and end the conference.
 
Thanks,
Juhee

---

From: [email-masked]
Date: Thu, 11 Dec 2003 11:34:41 +0200

Juhee,
 
Thanks for the comments. Reponses inline...

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of ext Juhee Garg (juhee)
Sent: 11.December.2003 09:14
To: [email-masked]
Subject: [XCON] Questions/Comments on draft-koskelainen-xcon-xcap-cpcp-usage-01

Petri/Hisham,
 
I have some questions/comments on draft-koskelainen-xcon-xcap-cpcp-usage-01.
 
1) What is the format of the response that you get back from the server in 200 OK, for a request to create a conference? Is it the entire CPCP document with the conference URI filled out? Or is it just the conference URI? If latter, what is the schema? 
 
I'm not sure if this is an XCAP related issue of if every XCAP usage needs to define such. RFC2616 was not clear of what goes in the 200 of a PUT request. I'll ask on the SIMPLE mailing list.
 
2) At what point is a CPCP request deemed to have been handled successfully - when the conference policy change is successfully made or when the action corresponding to the policy change is successfully made?   For e.g. when a request is issued to the CPS to dial out to a participant, when does the CPS send back a 200 OK - when it has been able to successfully communicate the change to the focus or when the participant is successfully added to the conference? 

I believe it is when the conference policy change is successful. You will learn that the participant has joined using the conference state event package. 
 
3) XCAP doc says that an XCAP server should return a 405 to an HTTP POST to an XCAP URI, but the CPCP doc is using POST in several places. 
 
We used the previous version on XCAP to produce the current CPCP document. That version allowed the use of POST. We need to modify CPCP accordingly in the next revision. 
 
4) Section 11.2 says that Conference-Info element is optional, but in the schema, it is not (minOccurs=1, which I think means that the element is mandatory). I am confused. 
 
It is optional, we need to fix the schema. 
 
5) Similarly, Section 10 says that Conference-time is an optional element, but in the schema it is not (minOccurs=1). 
 
It is mandatory. We need to fix the text. 
 
6) The schema doesn't have values for minOccurs for a lot of elements.  <http://xml.coverpages.org/REC-xmlschema-1-20010502.html> http://xml.coverpages.org/REC-xmlschema-1-20010502.html says that if minOccurs is not present, then its default value is 1, which in my mind means that those elements are mandatory. This is not consistent with the rest of the document. The schema needs to be consistent with the rest of the document.  
 
Obviously we have failed to align the text with the schema. Apologies for that. We will do a more thorough alignment in the next rev. 
 
7) I had brought this up in Minneapolis, but possibly in context of a wrong draft :( We need to have a way to specify when the conference should be ended (if these conditions occur before the conference time expires). This could have multiple token values like: 
 
The conference ends when the stop-time is reached. If no stop time is specified, then the conference ends when the last participant leaves.
 
    a) When no participants are left (this is useful for an adhoc conference)
    b) When the owner of the conference leaves (this is useful for avoiding toll fraud kinda cases) 
Can you be more elaborate here. What is the use case?
 
    c) When only two parties are left, convert it to a two-party call and end the conference.
Are you proposing the the focus needs to behave as a 3pcc entity? Are you also proposing the this should be configured using CPCP?
 
Thanks again for the comments,
Hisham
 
Thanks,
Juhee